
CREATE TYPE DOM_ADDRESS FROM varchar(60) NULL
go

CREATE TYPE DOM_BLOB FROM image NULL
go

CREATE TYPE DOM_BOOLEAN FROM varchar(5) NULL
go

CREATE TYPE DOM_CLOB FROM ntext NULL
go

CREATE TYPE DOM_DATE FROM date NULL
go

CREATE TYPE DOM_DATEFROM FROM datetime NULL
go

CREATE TYPE DOM_DATETHRU FROM datetime NULL
go

CREATE TYPE DOM_DATETIME FROM datetime NULL
go

CREATE TYPE DOM_DESCRIPTION FROM varchar(60) NULL
go

CREATE TYPE DOM_FLAG FROM varchar(1) NULL
go

CREATE TYPE DOM_ID FROM varchar(30) NULL
go

CREATE TYPE DOM_IDENTITY FROM int NOT NULL
go

CREATE TYPE DOM_INTEGER FROM int NULL
go

CREATE TYPE DOM_LONG FROM bigint NULL
go

CREATE TYPE DOM_LONGDESC FROM varchar(300) NULL
go

CREATE TYPE DOM_MONEY FROM decimal(18,4) NULL
go

CREATE TYPE DOM_NAME FROM varchar(30) NULL
go

CREATE TYPE DOM_QTY FROM decimal(14,4) NULL
go

CREATE TYPE DOM_SHORTID FROM varchar(10) NULL
go

CREATE TYPE DOM_UUID FROM uniqueidentifier NULL
go

CREATE TYPE DOM_PERCENT FROM decimal(10,4) NULL
go